### Recipe values for ppSim, the Pan-STARRS data simulator

BIAS.LEVEL	F32	1000.0		# Bias level (e)
BIAS.RANGE	F32	20.0		# Range of bias values (e)
BIAS.ORDER	S32	7		# Order for overscan polynomial
DARK.RATE	F32	5.0		# Dark current (e/s)
FLAT.SIGMA	F32	3.0		# Flat gaussian width (FPA sizes)
FLAT.RATE	F32	2000.0		# Flat illumination rate (e/s)
SHUTTER.TIME	F32	1.0		# Time for shutter to fully open
SKY.RATE	F32	10.0		# Sky illumination rate (e/s)

STARS.REAL	BOOL	TRUE		# Add stars from a catalogue?

STARS.FAKE      BOOL    TRUE		# Add fake stars, randomly distributed?
STARS.LUM	F32	-1.5		# Stellar luminosity function slope
STARS.MAG	F32	15.5		# Brightest magnitude for fake stars
STARS.DENSITY	F32	1.0		# Stellar density (per square degree) at the brightest magnitude

GALAXY.FAKE     BOOL    FALSE		# Generate fake galaxies?

GALAXY.LUM	  F32	-0.8		# Stellar luminosity function slope
GALAXY.MAG	  F32	11.0		# Brightest magnitude for fake stars
GALAXY.DENSITY	  F32	6.0		# Galaxy density (per square degree) at the brightest magnitude

GALAXY.RMAJOR.MAX F32	10.0		# Maximum semi-major axis for galaxy models
GALAXY.RMAJOR.MIN F32	2.0		# Minimum semi-major axis for galaxy models

GALAXY.ARATIO.MAX F32	0.2		# Maximum axis ratio for galaxy models
GALAXY.ARATIO.MIN F32	1.0		# Minimum axis ratio for galaxy models

GALAXY.INDEX.MIN F32    0.25		# Maximum Sersic index for galaxy models
GALAXY.INDEX.MAX F32	0.500           # Minimum Sersic index for galaxy models

GALAXY.THETA.MIN F32    0.0		# Maximum position angle for galaxy models
GALAXY.THETA.MAX F32	3.14            # Minimum position angle for galaxy models

GALAXY.GRID      BOOL   FALSE		# Generate a (regular) grid of galaxy models?
GALAXY.GRID.DX   S32   200              # Spacing between galaxies in grid in x
GALAXY.GRID.DY   S32   200              # Spacing between galaxies in grid in y

### The following options are used if not defined by the concepts (e.g., usually read from headers)
GAIN		F32	1.0		# Default gain (e/ADU)
READNOISE	F32	10.0		# Default read noise (e)
OVERSCAN.SIZE	S32	32		# Default overscan columns
SATURATION	F32	65535		# Default saturation level (ADU)
